This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 662162 - show_unknown parameter problem
show_unknown parameter problem
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-10 14:04 EST by luigi votta
Modified: 2011-07-25 20:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 20:42:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description luigi votta 2010-12-10 14:04:58 EST
Description of problem:
Hello, 
using a Docbook element, not listed by "publican print_known", and setting show_unknown: 1 in the publican.cfg, we should expect publican report the unknown tag when processing XML. 

Steps to Reproduce:
1. Use an unknown element: <equation>
2. build with show_unknown: 1 (default) (debug: 1, for redundancy)
  
Actual results:
No message about the unknown element

Expected results:
Show message about the unknown element
Comment 1 Jeff Fearn 2010-12-13 23:26:57 EST
XmlClean was not checking the setting correctly.

Fixed in revision 1686
Comment 2 Jeff Fearn 2011-07-07 07:00:06 EDT
Back ported to branches/publican-2x

Committed revision 1812.

Note You need to log in before you can comment on or make changes to this bug.